Package com.mockobjects.dynamic

# Interface CallFactory

All Known Implementing Classes:
  `DefaultCallFactory`

public interface CallFactory

## Method Summary

Modifier and Type
Method
Description
`Callable`
`createCallExpectation(Callable call)`
`Callable`
`createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)`
`Callable`
`createReturnStub(Object result)`
`Callable`
`createThrowStub(Throwable throwable)`
`Callable`
`createVoidStub()`

## Method Details

### createReturnStub

Callable createReturnStub(Object result)

### createThrowStub

Callable createThrowStub(Throwable throwable)

### createVoidStub

Callable createVoidStub()

### createCallExpectation

Callable createCallExpectation(Callable call)

### createCallSignature

Callable createCallSignature(String methodName, ConstraintMatcher constraints, Callable call)